%define release_version 0.13.2
%define anolis_release 1
%global debug_package %{nil}

Name:           buildkit
Version:        %{release_version}
Release:        %{anolis_release}%{?dist}
Summary:        A toolkit for converting source code to build artifacts in an efficient, expressive and repeatable manner.

License:        Apache-2.0
URL:		https://github.com/moby/buildkit
Source0:	https://github.com/moby/buildkit/archive/refs/tags/v%{release_version}.tar.gz
Source1:	https://github.com/Loongson-Cloud-Community/buildkit/releases/download/%{release_version}/buildkit-v%{release_version}-vendor.tar.gz

BuildRequires:  golang >= 1.18

%description
BuildKit is a toolkit for converting source code to build artifacts in an efficient, expressive and repeatable manner. 

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -n %{name}-%{release_version}
tar -xzf %{SOURCE1}
go env -w GOFLAGS="-mod=vendor"

%build
go build -ldflags "-X 'github.com/moby/buildkit/version.Version=v%{release_version}'" -tags=nydus -mod=vendor -o ./bin/buildkitd ./cmd/buildkitd

%install
install -Dpm 0755 ./bin/buildkitd %{buildroot}%{_bindir}/buildkitd

%check

%post

%preun

%files
%license LICENSE
%{_bindir}/buildkitd

%files doc
%doc AUTHORS README.md

%changelog
* Thu May 16 2024 Zewei Yang<yangzewei@loongson.cn> - 0.13.2
  update to 0.13.2
* Thu May 16 2024 Zewei Yang<yangzewei@loongson.cn> - 0.12.5-1
  update to 0.12.5
* Thu Oct 26 2023 Wenlong Zhang<zhangwenlong@loongson.cn> - 0.10.5~rc.1-3
- fix build error for loongarch64

* Wed Sep 13 2023 Wenlong Zhang <zhangwenlong@loongson.cn> - 0.10.5~rc.1-2
- add loong64 support for buildkit

* Tue Nov 8 2022 Qinqi Qu <quqinqi@linux.alibaba.com> - 0.10.5~rc.1-1
- Support for exporting nydus compression type
